Bug 964626 - mock hangs on step "yum update" - mirror HTTP Error 404 - Not Found [NEEDINFO]
mock hangs on step "yum update" - mirror HTTP Error 404 - Not Found
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 04:58 EDT by Simon Lewis
Modified: 2014-02-21 10:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 10:44:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williams: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2013-05-19 04:58:00 EDT
Description of problem:
When trying to rebuild a lib package mock script hangs on step "yum update" - see console output below:

$ mock -r fedora-19-i386 rebuild libtiff3-compat-3.9.7-0.sl.fc19.src.rpm 
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(libtiff3-compat-3.9.7-0.sl.fc19.src.rpm)  Config(fedora-19-i386)
Start: lock buildroot
Start: clean chroot
INFO: chroot (/var/lib/mock/fedora-19-i386) unlocked and deleted
Finish: clean chroot
Finish: lock buildroot
Start: chroot init
Start: lock buildroot
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Start: device setup
Finish: device setup
Start: yum update
^C
$ ERROR: Exception(libtiff3-compat-3.9.7-0.sl.fc19.src.rpm) Config(fedora-19-i386) 3 minutes 10 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-19-i386/result
ERROR: Exiting on user interrupt, <CTRL>-C
WARNING: Process ID 12417 still running in chroot. Killing...
^C

$ mock --offline -r fedora-19-i386 rebuild  libtiff3-compat-3.9.7-0.sl.fc19.src.rpm 
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(libtiff3-compat-3.9.7-0.sl.fc19.src.rpm)  Config(fedora-19-i386)
Start: lock buildroot
Start: clean chroot
INFO: chroot (/var/lib/mock/fedora-19-i386) unlocked and deleted
Finish: clean chroot
Finish: lock buildroot
Start: chroot init
Start: lock buildroot
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
INFO: enabled ccache
Start: device setup
Finish: device setup
Start: yum update
^C
Comment 1 Jens Petersen 2013-07-02 00:31:18 EDT
I think I am seeing this too - my root.log file shows 
that it is failing to connect to any mirrors.

selinux permission issue?
Comment 2 Clark Williams 2013-09-27 15:33:19 EDT
What systems are you hosting mock on? Fedora 18/19?

Usually when I see this it's something going wonky with the mirrors, but its suspicious that you guys are both seeing the same behavior.

Have you looked at the root.log while mock is running? Try:

tail -f /var/lib/mock/fedora-19-i386/result/root.log

while running mock in a different window and see if you're failing to find mirrors.

Note You need to log in before you can comment on or make changes to this bug.